View Issue Details

IDProjectCategoryView StatusLast Update
0020833LazarusIDEpublic2014-02-14 14:47
ReporterSergey BulbaAssigned ToMartin Friebe 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version1.2.0 
Summary0020833: Can't to debug application if path to project consists non-latin chars
DescriptionMany of my old delphi projects are stored in folders with Russian chars, like

C:\Pascal\Проект1\Project1.dpr

After conversion to lazarus all work fine, except debuging, for example, Step (F8 key), or stop on breakpoint causes an exception (see attached file).
Additional InformationLaz ver. 0.9.31
FPC ver. 2.5.1
SVN rev. 33932
win32
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0020835 closedBart Broersma ExpandFileNameUTF8 broken 

Activities

2011-12-07 13:48

 

NonLatPathError.jpg (114,308 bytes)
NonLatPathError.jpg (114,308 bytes)

Sergey Bulba

2011-12-07 13:51

reporter   ~0054775

PS If project is moved to folder with all Latin chars (like C:\Pascal\Project1\Project1.dpr) then debugging works fine.

Martin Friebe

2011-12-07 15:41

manager   ~0054791

Due to 0020835 I can not try with Russian chars. With special chars available to me (such as umlauts) it works.

Please check the GDB version, and ensure you use at least 7.3.2
http://svn.freepascal.org/svn/lazarus/binaries/i386-win32/gdb/bin

Please see
http://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Create_a_new_Report
and report all the info described there.

Please also ensure you compile Lazarus with debug info, so the trace in the picture will have line info.

When recompiling with extra defines (for the log file), please use the following defines:

VerboseDebugger
DBG_VERBOSE
DBG_LOCATION_INFO
DBGMI_QUEUE_DEBUG

Sergey Bulba

2011-12-08 14:04

reporter   ~0054825

Project compiled with debug info. My GDB.exe version is 7.3, I'll try to compare it with http://svn.freepascal.org/svn/lazarus/binaries/i386-win32/gdb/bin now...

Yes, all files of gdb are same.

As I've wrote in first comment, debugger works fine immediately after renaming folder with project to Latin chars, and does not work again after renaming folder back to Russian chars. My Windows is Russian (tested on both Win7 x64 and WinXP x32), so Unicode<->Ansi conversion for Russian chars must give right results in both directions.

Sergey Bulba

2011-12-08 14:08

reporter   ~0054826

I'll try to use your tips later...

Martin Friebe

2013-09-13 21:03

manager   ~0070029

This issue was last tested against an now outdated version of Lazarus. Please test against current trunk.

Last question not answered (no log provided). http://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Log_info_for_debug_session
please provide feedback or the issue will be closed.

Sergey Bulba

2014-02-04 13:08

reporter   ~0072850

Sorry for delay. Just tested in Lazarus 1.2RC2, all work fine now, bug has disappeared ;)

Can be closed, thanks!

Martin Friebe

2014-02-04 13:21

manager   ~0072851

fixed in meantime

Sergey Bulba

2014-02-14 14:47

reporter   ~0073057

:)

Issue History

Date Modified Username Field Change
2011-12-07 13:48 Sergey Bulba New Issue
2011-12-07 13:48 Sergey Bulba File Added: NonLatPathError.jpg
2011-12-07 13:48 Sergey Bulba Widgetset => Win32/Win64
2011-12-07 13:51 Sergey Bulba Note Added: 0054775
2011-12-07 15:41 Martin Friebe LazTarget => -
2011-12-07 15:41 Martin Friebe Note Added: 0054791
2011-12-07 15:41 Martin Friebe Status new => feedback
2011-12-07 22:41 Juha Manninen Relationship added related to 0020835
2011-12-08 14:04 Sergey Bulba Note Added: 0054825
2011-12-08 14:08 Sergey Bulba Note Added: 0054826
2013-09-13 21:03 Martin Friebe Note Added: 0070029
2013-09-13 21:03 Martin Friebe Assigned To => Martin Friebe
2014-02-04 13:08 Sergey Bulba Note Added: 0072850
2014-02-04 13:08 Sergey Bulba Status feedback => assigned
2014-02-04 13:21 Martin Friebe Note Added: 0072851
2014-02-04 13:21 Martin Friebe Status assigned => resolved
2014-02-04 13:21 Martin Friebe Fixed in Version => 1.2.0
2014-02-04 13:21 Martin Friebe Resolution open => fixed
2014-02-14 14:47 Sergey Bulba Note Added: 0073057
2014-02-14 14:47 Sergey Bulba Status resolved => closed